# copyFile.py
# Purpose: Copy a file.
# Usage: source_full_path_file_name, destination_directory
# Example: C:/gispy/data/ch07/park.shp C:/gispy/scratch/

import arcpy, os

inputFile = arcpy.GetParameterAsText(0)
outputDir = arcpy.GetParameterAsText(1)

baseName = os.path.basename(inputFile)
outputFile = os.path.join(outputDir, baseName)

arcpy.Copy_management(inputFile, outputFile)

print('inputFile = {0}'.format(inputFile))
print('outputDir = {0}'.format(outputDir))
print()
print('baseName = {0}'.format(baseName))
print('outputFile = {0}'.format(outputFile))
